package pmicrovenus;

import java.io.IOException;
import java.io.*;
import java.util.ArrayList;



public class Partida {
   
    public static final int SALDO_INICIAL = 1500;
    public Partida() {
        
    }
    
    
    public static void main (String[] args){
        Tablero tablero;
        ArrayList<Dado> dado = new ArrayList<Dado>(); 
        
        
        dado.add(new Dado());
        Jugador player = new Jugador(1,"Jugador 1",SALDO_INICIAL);
        Tablero tab = new Tablero(player);

        //A posicion de salida
        player.setPosicion(tab.comienzoPartida());

        frmTablero frmT= new frmTablero(tab, dado.get(0), player);
        frmT.setVisible(true);  
        player.addObserver(frmT);
       
      }
    
     
}
